Bug 839107 - Correct markup for XML code
Correct markup for XML code
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.1
Assigned To: Misha H. Ali
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 20:22 EDT by Misha H. Ali
Modified: 2012-09-19 23:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 23:48:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-07-10 20:22:59 EDT
XML code is not correctly marked up. It should appear in a colorful manner for each tag, much like this:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html-single/Complete_Documentation_Suite/index.html#Sample_XML_Configuration_for_the_Root_Logger

The solution is to ensure all XML code is tagged with <programlisting language="XML"></programlisting> tags rather than just <programlisting></programlisting>

This applies to all books.
Comment 1 Misha H. Ali 2012-07-10 20:43:14 EDT
110 topics identified with the programlisting tag for JDG. 

Step 1: View each of the 110 topics, add the new programlisting tag where required.

Step 2: Rebrew all books.

Step 3: QA books on stage for missed topics.
Comment 2 Misha H. Ali 2012-07-10 22:51:13 EDT
Additionally, mark up java as language="Java".
Comment 3 Misha H. Ali 2012-07-11 22:19:12 EDT
Now available on the stage for all books, except the Developer Guide, which is left as-is to accommodate ECS QE review (which is said to be ongoing).
Comment 4 Misha H. Ali 2012-07-16 21:20:05 EDT
Now also available for the developer guide.

Note You need to log in before you can comment on or make changes to this bug.